.. _datatypes:

Data Types
==========

.. automodule:: odml.types
   :members:
   :inherited-members:
   :undoc-members:

.. _tools:

Tools
=====
Several tools are provided with the :py:mod:`odml.tools` package.

XMLParser
---------
.. automodule:: odml.tools.xmlparser
   :members:
   :inherited-members:
   :undoc-members:

Events
------
Events provide the possibility to place hooks on model-changes.

.. automodule:: odml.tools.event
   :members:
   :undoc-members:

